Package org.apache.lucene.analysis.phonetic

## Class DaitchMokotoffSoundexFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.phonetic.DaitchMokotoffSoundexFilter

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

      public final class DaitchMokotoffSoundexFilter
      extends TokenFilter

  Create tokens for phonetic matches based on Daitch–Mokotoff Soundex.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.apache.commons.codec.language.DaitchMokotoffSoundex` | `encoder` | phonetic encoder
    `protected boolean` | `inject` | true if encoded tokens should be added as synonyms

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DaitchMokotoffSoundexFilter​(TokenStream in, boolean inject)` | Creates a DaitchMokotoffSoundexFilter by either adding encoded forms as synonyms ( `inject=true`) or replacing them.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `incrementToken()` |
    `void` | `reset()` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, unwrap`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### inject

          protected boolean inject

      true if encoded tokens should be added as synonyms

    - #### encoder

          protected org.apache.commons.codec.language.DaitchMokotoffSoundex encoder

      phonetic encoder

  - ### Constructor Detail

    - #### DaitchMokotoffSoundexFilter

          public DaitchMokotoffSoundexFilter​(TokenStream in,
                                             boolean inject)

      Creates a DaitchMokotoffSoundexFilter by either adding encoded forms as synonyms ( `inject=true`) or replacing them.

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `TokenFilter`
      Throws:
        `IOException`